Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.message
Class ConsumerInfo

    java.lang.Object
      org.codehaus.activemq.message.AbstractPacket
          org.codehaus.activemq.message.ConsumerInfo

All Implemented Interfaces:
  Packet

public class ConsumerInfo
extends AbstractPacket

Describes a Message consumer

Version:
  $Revision: 1.8 $

Field Summary

Fields inherited from interface org.codehaus.activemq.message.Packet
`ACTIVEMQ_BROKER_INFO, ACTIVEMQ_BYTES_MESSAGE, ACTIVEMQ_CONNECTION_INFO, ACTIVEMQ_MAP_MESSAGE, ACTIVEMQ_MESSAGE, ACTIVEMQ_MSG_ACK, ACTIVEMQ_OBJECT_MESSAGE, ACTIVEMQ_STREAM_MESSAGE, ACTIVEMQ_TEXT_MESSAGE, CAPACITY_INFO, CAPACITY_INFO_REQUEST, CONSUMER_INFO, DURABLE_UNSUBSCRIBE, INT_RESPONSE_RECEIPT_INFO, PRODUCER_INFO, RECEIPT_INFO, RESPONSE_RECEIPT_INFO, SESSION_INFO, TRANSACTION_INFO, XA_TRANSACTION_INFO`

Constructor Summary
`ConsumerInfo()`

Method Summary
`boolean` | `equals(java.lang.Object obj)` Test for equality
`java.lang.String` | `getClientId()`
`java.lang.String` | `getConsumerId()`
`java.lang.String` | `getConsumerKey()` Creates a primary key for the consumer info which uniquely describes the consumer using a combination of clientID and consumerName
`java.lang.String` | `getConsumerName()`
`int` | `getConsumerNo()`
`ActiveMQDestination` | `getDestination()`
`int` | `getPacketType()` Return the type of Packet
`int` | `getPrefetchNumber()`
`java.lang.String` | `getSelector()`
`java.lang.String` | `getSessionId()`
`long` | `getStartTime()`
`int` | `hashCode()`
`boolean` | `isBrowser()`
`boolean` | `isDurableTopic()`
`boolean` | `isNoLocal()`
`boolean` | `isStarted()`
`void` | `setBrowser(boolean browser)`
`void` | `setClientId(java.lang.String newClientId)`
`void` | `setConsumerId(java.lang.String consumerId)`
`void` | `setConsumerName(java.lang.String newconsumerName)`
`void` | `setConsumerNo(int newConsumerNo)`
`void` | `setDestination(ActiveMQDestination newDestination)`
`void` | `setNoLocal(boolean noLocal)`
`void` | `setPrefetchNumber(int prefetchNumber)`
`void` | `setSelector(java.lang.String newSelector)`
`void` | `setSessionId(java.lang.String sessionId)`
`void` | `setStarted(boolean flag)`
`void` | `setStartTime(long newStartTime)`
`java.lang.String` | `toString()`

Methods inherited from class org.codehaus.activemq.message.AbstractPacket
`decrementMemoryReferenceCount, equals, getId, getMemoryUsage, getMemoryUsageReferenceCount, getPacketTypeAsString, incrementMemoryReferenceCount, isJMSMessage, isReceipt, isReceiptRequired, setId, setMemoryUsage, setReceiptRequired`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConsumerInfo

    public ConsumerInfo()

Method Detail

### getConsumerId

    public java.lang.String getConsumerId()

  Returns:
    Returns the consumerId.

### setConsumerId

    public void setConsumerId(java.lang.String consumerId)

  Parameters:
    `consumerId` - The consumerId to set.

### getSessionId

    public java.lang.String getSessionId()

  Returns:
    Returns the sessionId.

### setSessionId

    public void setSessionId(java.lang.String sessionId)

  Parameters:
    `sessionId` - The sessionId to set.

### getPacketType

    public int getPacketType()

  Return the type of Packet

  Returns:
    integer representation of the type of Packet

### equals

    public boolean equals(java.lang.Object obj)

  Test for equality

  Overrides:
    `equals` in class `AbstractPacket`
  Parameters:
    `obj` - object to test
  Returns:
    true if equivalent

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `AbstractPacket`
  Returns:
    hash code for instance

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `AbstractPacket`
  Returns:
    a pretty print

### getClientId

    public java.lang.String getClientId()

  Returns:
    Returns the clientId.

### setClientId

    public void setClientId(java.lang.String newClientId)

  Parameters:
    `newClientId` - The clientId to set.

### getDestination

    public ActiveMQDestination getDestination()

  Returns:
    Returns the destination.

### setDestination

    public void setDestination(ActiveMQDestination newDestination)

  Parameters:
    `newDestination` - The destination to set.

### getSelector

    public java.lang.String getSelector()

  Returns:
    Returns the selector.

### setSelector

    public void setSelector(java.lang.String newSelector)

  Parameters:
    `newSelector` - The selector to set.

### isStarted

    public boolean isStarted()

  Returns:
    Returns the started.

### setStarted

    public void setStarted(boolean flag)

  Parameters:
    `flag` - to indicate if started

### getStartTime

    public long getStartTime()

  Returns:
    Returns the startTime.

### setStartTime

    public void setStartTime(long newStartTime)

  Parameters:
    `newStartTime` - The startTime to set.

### getConsumerNo

    public int getConsumerNo()

  Returns:
    Returns the consumerNo.

### setConsumerNo

    public void setConsumerNo(int newConsumerNo)

  Parameters:
    `newConsumerNo` - The consumerNo to set.

### getConsumerName

    public java.lang.String getConsumerName()

  Returns:
    Returns the consumer name.

### setConsumerName

    public void setConsumerName(java.lang.String newconsumerName)

  Parameters:
    `newconsumerName` - The consumerName to set.

### isDurableTopic

    public boolean isDurableTopic()

  Returns:
    Returns true if the Consumer is a durable Topic subscriber

### isNoLocal

    public boolean isNoLocal()

  Returns:
    Returns the noLocal.

### setNoLocal

    public void setNoLocal(boolean noLocal)

  Parameters:
    `noLocal` - The noLocal to set.

### isBrowser

    public boolean isBrowser()

  Returns:
    Returns the browser.

### setBrowser

    public void setBrowser(boolean browser)

  Parameters:
    `browser` - The browser to set.

### getPrefetchNumber

    public int getPrefetchNumber()

  Returns:
    Returns the prefetchNumber.

### setPrefetchNumber

    public void setPrefetchNumber(int prefetchNumber)

  Parameters:
    `prefetchNumber` - The prefetchNumber to set.

### getConsumerKey

    public java.lang.String getConsumerKey()

  Creates a primary key for the consumer info which uniquely describes the consumer using a combination of clientID and consumerName

  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.